XpathParserUtil (A library with several utility classes to work with geo-spatial data: WmsUrlValidator, GeoGetStyles, etc.. 1.0.0-SNAPSHOT API)
Date: 2016-01-29

org.gcube.spatial.data.geoutility.util

## Class XpathParserUtil

- java.lang.Object
- - org.gcube.spatial.data.geoutility.util.XpathParserUtil

-     public class XpathParserUtil
      extends Object

  The Class XpathParserUtil.
  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it Jan 21, 2016

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XpathParserUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static List<String>` | `getTextFromXPathExpression(NamespaceContextMap context, InputStream source, String xpathExpression)` Gets the text from x path expression.
    `static List<String>` | `getTextFromXPathExpression(NamespaceContextMap context, String source, String xpathExpression)` Gets the text from x path expression.
    `static InputStream` | `stringToInputStream(String text)` String to input stream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XpathParserUtil

          public XpathParserUtil()

  - ### Method Detail

    - #### getTextFromXPathExpression

          public static List<String> getTextFromXPathExpression(NamespaceContextMap context,
                                                InputStream source,
                                                String xpathExpression)

      Gets the text from x path expression.
      Parameters:
        `context` - the context
        `source` - the source
        `xpathExpression` - the xpath expression
      Returns:
        the text from x path expression

    - #### getTextFromXPathExpression

          public static List<String> getTextFromXPathExpression(NamespaceContextMap context,
                                                String source,
                                                String xpathExpression)

      Gets the text from x path expression.
      Parameters:
        `context` - the context
        `source` - the source
        `xpathExpression` - the xpath expression
      Returns:
        the text from x path expression

    - #### stringToInputStream

          public static InputStream stringToInputStream(String text)

      String to input stream.
      Parameters:
        `text` - the text
      Returns:
        the input stream

Copyright © 2016. All Rights Reserved.